#ifndef TREEH_H
#define TREEH_H

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <stdbool.h>

#define NBCHAR 27 //A-Z + '


typedef struct _node node, *tree;
struct node{
  char letter;
  bool isEnd;
  node* next[NBCHAR];
};

tree make_empty_tree();
node* make_empty_node();
node* make_node(char,bool);
void delete_tree(tree);

bool is_empty(tree);
bool is_end(tree);
bool is_followed(tree);//tells if tree has following letters

void addto_tree(tree,char*,int);
void loadfrom_file(tree,FILE*);
void loadfrom_keyboard(tree);


int hash(char);



#endif //TREEH_H
